## org.jfree.chart.urls
Class TimeSeriesURLGenerator

    java.lang.Object
      org.jfree.chart.urls.TimeSeriesURLGenerator

All Implemented Interfaces:
  java.io.Serializable, XYURLGenerator

public class TimeSeriesURLGenerator
extends java.lang.Object
implements XYURLGenerator, java.io.Serializable

A URL generator.

Author:
  Richard Atkinson
See Also:
  Serialized Form

Constructor Summary
`TimeSeriesURLGenerator()` Blank constructor
`TimeSeriesURLGenerator(java.text.DateFormat dDateFormat, java.lang.String sPrefix, java.lang.String sSeriesParameterName, java.lang.String sItemParameterName)` Construct TimeSeriesURLGenerator overriding defaults

Method Summary
`java.lang.String` `generateURL(XYDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesURLGenerator

    public TimeSeriesURLGenerator()

  Blank constructor

### TimeSeriesURLGenerator

    public TimeSeriesURLGenerator(java.text.DateFormat dDateFormat,
                                  java.lang.String sPrefix,
                                  java.lang.String sSeriesParameterName,
                                  java.lang.String sItemParameterName)

  Construct TimeSeriesURLGenerator overriding defaults

Parameters:
  `dDateFormat` - a formatter for the date.
  `sPrefix` - the prefix of the URL.
  `sSeriesParameterName` - the name of the series parameter in the URL.
  `sItemParameterName` - the name of the item parameter in the URL.

Method Detail

### generateURL

    public java.lang.String generateURL(XYDataset dataset,
                                        int series,
                                        int item)

  Generates a URL for a particular item within a series.

  Specified by:
    `generateURL` in interface `XYURLGenerator`
  Parameters:
    `dataset` - the dataset.
    `series` - the series number (zero-based index).
    `item` - the item number (zero-based index).
  Returns:
    the generated URL.